XnAutoCSLocker Class Reference

`#include <XnOSCpp.h>`

## Public Member Functions

| XnAutoCSLocker (const XnAutoCSLocker &other)
XnAutoCSLocker & | operator= (const XnAutoCSLocker &other)
| XnAutoCSLocker (XN_CRITICAL_SECTION_HANDLE hCS)
| ~XnAutoCSLocker ()
void | Lock ()
void | Unlock ()

## Constructor & Destructor Documentation

## XnAutoCSLocker() [1/2]

XnAutoCSLocker::XnAutoCSLocker | ( | const XnAutoCSLocker & | other | ) |

inline

## XnAutoCSLocker() [2/2]

XnAutoCSLocker::XnAutoCSLocker | ( | XN_CRITICAL_SECTION_HANDLE | hCS | ) |

inline

## ~XnAutoCSLocker()

XnAutoCSLocker::~XnAutoCSLocker | ( |  | ) |

inline

## Member Function Documentation

## Lock()

void XnAutoCSLocker::Lock | ( |  | ) |

inline

## operator=()

XnAutoCSLocker & XnAutoCSLocker::operator= | ( | const XnAutoCSLocker & | other | ) |

inline

## Unlock()

void XnAutoCSLocker::Unlock | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- XnOSCpp.h